Show / Hide Table of Contents

# Struct AtkUnitBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkUnitBase

### Fields

| Improve this Doc View Source

#### Alpha

##### Declaration

    public byte Alpha

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkEventListener

##### Declaration

    public AtkEventListener AtkEventListener

##### Field Value

Type | Description
--- | ---
AtkEventListener |

| Improve this Doc View Source

#### CollisionNodeList

##### Declaration

    public AtkCollisionNode**CollisionNodeList

##### Field Value

Type | Description
--- | ---
AtkCollisionNode** |

| Improve this Doc View Source

#### CollisionNodeListCount

##### Declaration

    public uint CollisionNodeListCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ContextMenuParentID

##### Declaration

    public ushort ContextMenuParentID

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ID

##### Declaration

    public ushort ID

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ParentID

##### Declaration

    public ushort ParentID

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RootNode

##### Declaration

    public AtkResNode*RootNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### UldManager

##### Declaration

    public AtkUldManager UldManager

##### Field Value

Type | Description
--- | ---
AtkUldManager |

| Improve this Doc View Source

#### UnknownID

##### Declaration

    public ushort UnknownID

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### WindowNode

##### Declaration

    public AtkComponentNode*WindowNode

##### Field Value

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### X

##### Declaration

    public short X

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public short Y

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Properties

| Improve this Doc View Source

#### IsVisible

##### Declaration

    public bool IsVisible { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### FireCallback(Int32, AtkValue*, Void*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B 44 24 20 C1 E8 05")]
    public void FireCallback(int valueCount, AtkValue*values, void *a4 = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | valueCount |
AtkValue* | values |
System.Void* | a4 |

| Improve this Doc View Source

#### FireCallbackInt(Int32)

##### Declaration

    [MemberFunction("E9 ?? ?? ?? ?? 83 FB 15")]
    public byte FireCallbackInt(int callbackValue)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | callbackValue |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetGlobalUIScale()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F BF 45 00")]
    public float GetGlobalUIScale()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetImageNodeById(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8D 55 4D")]
    public AtkImageNode*GetImageNodeById(uint nodeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | nodeId |

##### Returns

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### GetNodeById(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8D 56 54")]
    public AtkResNode*GetNodeById(uint nodeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | nodeId |

##### Returns

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### GetScale()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F BF CB 0F 28 F8")]
    public float GetScale()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetTextNodeById(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8D 55 1C")]
    public AtkTextNode*GetTextNodeById(uint nodeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | nodeId |

##### Returns

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Hide(Boolean)

##### Declaration

    [VirtualFunction(4)]
    public bool Hide(bool unknown)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | unknown |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OnUpdate(NumberArrayData**, StringArrayData**)

##### Declaration

    [VirtualFunction(48)]
    public void OnUpdate(NumberArrayData**numberArrayData, StringArrayData**stringArrayData)

##### Parameters

Type | Name | Description
--- | --- | ---
NumberArrayData** | numberArrayData |
StringArrayData** | stringArrayData |

| Improve this Doc View Source

#### SetPosition(Int16, Int16)

##### Declaration

    [VirtualFunction(7)]
    public void SetPosition(short x, short y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | x |
System.Int16 | y |

| Improve this Doc View Source

#### Show(Int32, Boolean)

##### Declaration

    [VirtualFunction(3)]
    public bool Show(int unkInt, bool unkBool = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | unkInt |
System.Boolean | unkBool |

##### Returns

Type | Description
--- | ---
System.Boolean |